#ifndef LANGUAGESWITCHER_H
#define LANGUAGESWITCHER_H

#include <QObject>

class QTranslator;
class LanguageSwitcher : public QObject
{
	Q_OBJECT
public:
	static LanguageSwitcher* Instance();
	void setDefaultLanguage(QString str);
	void setTranslator(QTranslator* tra);
signals:

public slots:

private:
	explicit LanguageSwitcher();
	~LanguageSwitcher();
	static LanguageSwitcher* lsw;
	QTranslator* translator = nullptr;
};

#endif // LANGUAGESWITCHER_H